Skip to main content
POST
/
api
/
files
/
archive
Start a folder archive job
curl --request POST \
  --url https://convertly.sh/api/files/archive \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "fileIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "targetFolderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "format": "zip",
  "recursive": true,
  "delivery": "library",
  "downloadName": "<string>"
}
'
{
  "error": "<string>",
  "upgradeUrl": "<string>"
}

Authorizations

Authorization
string
header
required

Dashboard-generated Convertly API key. Keys currently begin with cvly_.

Body

application/json
folderId
string<uuid> | null
fileIds
string<uuid>[]
targetFolderId
string<uuid> | null
format
enum<string>
default:zip
Available options:
zip,
tar,
tgz
recursive
boolean
default:true
delivery
enum<string>
default:library
Available options:
library,
download
downloadName
string

Response

Archive job started